Skip to main content

Delete a product option value

DELETE https://pos.paysera.com/eapi/v1/product-options/{id}/values/{valueId}

Delete a product option value.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
idinteger✓The product option ID
valueIdinteger✓The product option value ID

Errors​

This endpoint may return the following errors:

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

Product option value not found

This error indicates the requested resource was not found.

409 - Conflict​

The request could not be completed due to a conflict with the current state of the target resource.

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

DELETE https://pos.paysera.com/eapi/v1/product-options/{id}/values/{valueId}
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

204 — Product option value deleted successfully. This endpoint returns no response body.

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com

RESPONSE

Product option value deleted successfully
{}